%define drupaldir %{_datadir}/drupal7
Name:	drupal7-variable
Version:	1.1
Release:	1%{?dist}
Summary: Variable module provides a registry for meta-data about Drupal variables

Group:	Applications/Publishing	
License: GPLv2+
URL:	http://drupal.org/project/variable
Source0: http://ftp.drupal.org/files/projects/variable-7.x-1.1.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: drupal7

%description
Variable module provides a registry for meta-data about Drupal variables
and some extended Variable API and administration interface. So other modules
can know about your module's variables and they can be translated,
exported, etc. You'll get automatic variable edit forms, tokens, access
control and uninstall for free.


%prep
%setup -qn variable

install -p -m 0644 %{SOURCE1} .


%build
cp %{SOURCE2} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/variable
cp -pr * %{buildroot}%{drupaldir}/modules/variable


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/variable



%changelog
* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 1.1-1
- Initial Packaging
